# Datahub API Usage Example

# To test on postman
$client_id = 0bc7e145523d4a70a596808ab51c601e
$client_secret = F87eBc2e1DF4494cb2aF24a754010547
$endpoint_api_key = https://uat-ux-registration-informage.eu.cloudhub.io/api/attendee/registration

sample data you can try to run it in the postman

$body = {
  "AttendeeRegistration": {
    "contactSessionHistory": {
      "eventEditionCode": "EME00LED",
      "formName": "LEAP Newsletter Registration Form",
      "Session": [
        {
          "actionDateTime": "25-09-2016T02:02:02",
          "registrationMethod": "RM_ONLN",
          "registrationStatus": "RS_REGSTR",
          "sessionCode": "S_LEAPNWSLTR",
          "sessionName": null,
          "sessionType": null,
          "uniqueRefereceNumber": "sub_b9625125908e",
          "visitorType": "ER_PP",
          "customField1": "4c910628",
          "customField2": "https://sparklp.co/4c910628/",
          "customField3": null,
          
          "customField4": "0",
          "customField5": null
        }
      ]
    },
    "Profile": {
      "contactInformation": {
        "address": [
          {
            "addressClassCode": "BUSINESS",
            "addressCountry": null,
            "addressLine1": null,
            "addressLine2": null,
            "addressLine3": null,
            "addressPObox": null,
            "addressPostcode": null,
            "addressState": null,
            "addressTownCity": null,
            "addressTypeCode": "AT_BLNG"
          }
        ],
        "email": [
          {
            "emailAddress": "test.sub@email.com",
            "emailClass": "BUSINESS"
          }
        ],
        "phone": [
          {
            "phoneNumberAreacode": null,
            "phoneNumberBaseNumber": null,
            "phoneNumberCategory": null,
            "phoneNumberClass": null,
            "phoneNumberCountrycode": null,
            "phoneNumberExtension": null,
            "phoneNumberType": null
          }
        ]
      },
      "firstName": "Test",
      "surname": "Test name",
      "preferences": {
        "communicationPreferedChannels": {
          "directPostPreference": "No",
          "emailPreference": "Yes",
          "phonePreference": "No",
          "smsPreference": "No"
        },
        "communicationPreferences": {
          "marketingOptIn": "YES",
          "marketingOptInPrefType": "Explicit",
          "similarEventsOptIn": "YES",
          "similarEventsOptInPrefType": "Implicit",
          "thirdpartyOptIn": "YES",
          "thirdPartyOptInPrefType": "Implicit"
        }
      },
      "sourceSystem": "SS_AEM"
    }
  }
};


# To test in drupal site
install the webform_datahub module
Add the client id, secret key and the endpoint api key in the required fields
config page url => /admin/config/system/webform_datahub-config

i have shared the testing details in above example
you can test on the form by adding the webform_datahub handler in your
webform and map the fields in the hander.

When you submit the webform in which you have used webform_datahub handler, the
response of the mapping field is sent to the datahub api.

```
